using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Reflection;
using System.Text;

namespace SqlBulkInsert {
	/// <summary>
	/// Maps a class to a Database Table or XML Element
	/// </summary>
	[AttributeUsage( AttributeTargets.Class )]
	public class DataTableAttribute : Attribute {
		#region Declarations
		private string _tableName;

		#endregion

		#region Properties
		public string TableName {
			get { return _tableName; }
			set { _tableName = value; }
		}
		#endregion

		#region Constructors
		private DataTableAttribute() {
			_tableName = string.Empty;
		}
		/// <summary>
		/// Maps a class to a Database Table or XML Element
		/// </summary>
		/// <param name="containerName">Name of the Table or XML Parant Element to map</param>
		public DataTableAttribute( string containerName )
			: this() {
			_tableName = containerName;
		}
		#endregion
	}
}
